
;
;   MAP.ASM
;
;   Simon Hern     (Wolfson College, Cambridge, CB3 9BB, England)
;   Summer 1995    (Email: sdh20@cam.ac.uk)
;
;   Maps and music for "Squidgy Wars" game
;



_Data SEGMENT WORD PUBLIC 'Data'

; The maps are arrays MAP_WIDTH by MAP_HEIGHT
; '#' represents a wall tile, ' ' represents a floor tile

_Map:

db '  #######   ####### '
db '      #       #     '
db '#         #         '
db '#   #    ###    #   '
db '#  ####   #   ####  '
db '#   #     #     #   '
db '##  #           #  #'
db '#      ##   ##      '
db '#      #     #      '
db '   #      #      #  '
db '  ####   ###   #### '
db '   #      #      #  '
db '#      #     #      '
db '#      ##   ##      '
db '##  #           #  #'
db '#   #     #     #   '
db '#  ####   #   ####  '
db '#   #    ###    #   '
db '#         #         '
db '      #       #     '

_Map2:

db '  #######   ####### '
db '   #   #     #   #  '
db '#         #         '
db '##   #   ###   #   #'
db '#    #    #    #    '
db '#  ####       ####  '
db '#    #         #    '
db '##      #   #      #'
db '#      ###  ##      '
db '   #        #    #  '
db '  ###           ### '
db '   #    #        #  '
db '#      ##  ###      '
db '##      #   #      #'
db '#    #         #    '
db '#  ####       ####  '
db '#    #    #    #    '
db '##   #   ###   #   #'
db '#         #         '
db '   #   #     #   #  '

_Data ENDS



_MusicData SEGMENT WORD PUBLIC 'Far_Data'

; "Squidgy Theme", music composed by Yours Truly

; The code for generating sound through the Adlib soundcard is a bit rough
; The code for playing music is an abomination
; An ascii format is used because it's easier to fiddle around with
; (Maybe I'll hunt down some proper soundcard code when I've got time)

_MusicScript:

db ':Instruments', 10
db ':  V1 A1 A2 D1 D2 S1 S2 R1 R2 H1 H2 W1 W2 T1 T2 V1 V2  F', 10
db ' A 35 10 15  3  0  0  0  5  6  1  2  0  0  0  1  0  1  0', 10
db ' B 30  9  8 15  8  0  0 15  4  1  4  0  0  0  0  0  0  0', 10
db ' C 40  6  6  0  0  0  0  0  4  0  2  0  0  0  0  0  0  0', 10
db ' D  0 15 15 15  0  0  0  0  9  0  0  0  2  0  0  0  0  7', 10
db ' E  0 15 15 15  0  0  0  6  7  0  0  0  0  0  0  0  0  7', 10

db ':Speed', 13,10
db '  3   ', 13,10

db ':Channels                      ', 10
db '       A   B   B   B   C   D E ', 10
db ':Volumes                       ', 10
db '       9   7   7   7   9   4 1 ', 10
db ':Music                         ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '                               ', 10
db '                       g       ', 10
db '                       B       ', 10
db '                       C       ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db ':L 1  -+- -+---+---+- -+- -+-+-', 10
db '       a               A   a   ', 10
db '       a                   a   ', 10
db '           -A  -C  -E        a ', 10
db '       a                   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '       -G                  a   ', 10
db '           -g  -B  -D  C     a ', 10
db '       -G              B   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -F                  a   ', 10
db '       -F              g   a   ', 10
db '           -f  -A  -C        a ', 10
db '       -F                  a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '           -g  -B  -D        a ', 10
db '       -G                  a   ', 10
db '           -g  -B  -D        a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db ':L 2  -+- -+---+---+- -+- -+-+-', 10
db '       a                   a   ', 10
db '       a               A   a   ', 10
db '           -A  -C  -E  C     a ', 10
db '       a               D   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '       -G              B   a   ', 10
db '           -g  -B  -D  C     a ', 10
db '       -G              g   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -F                  a   ', 10
db '       -F                  a   ', 10
db '           -f  -A  -C        a ', 10
db '       -F                  a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '           -g  -B  -D  d     a ', 10
db '       -G              g   a   ', 10
db '           -g  -B  -D  A     a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db ':L 0  -+- -+---+---+- -+- -+-+-', 10
db '       a               C   a   ', 10
db '       a               B   a   ', 10
db '           -A  -C  -E  A     a ', 10
db '       a               C   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G              B   a   ', 10
db '       -G              A   a   ', 10
db '           -g  -B  -D  C     a ', 10
db '       -G              A   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -F              B   a   ', 10
db '       -F              A   a   ', 10
db '           -f  -A  -C  g     a ', 10
db '       -F              B   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '           -g  -B  -D  g     a ', 10
db '       -G                  a   ', 10
db '           -g  -B  -D        a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db ':L 4  -+- -+---+---+- -+- -+-+-', 10
db '       a                   a   ', 10
db '       a               A   a   ', 10
db '           -A  -C  -E  C     a ', 10
db '       a               D   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '       -G              B   a   ', 10
db '           -g  -B  -D  C     a ', 10
db '       -G                  a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -F              B   a   ', 10
db '       -F              A   a   ', 10
db '           -f  -A  -C  B     a ', 10
db '       -F              g   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '           -g  -B  -D  g   a a ', 10
db '       -G              C   a   ', 10
db '           -g  -B  -D  D   a a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db ':Int  -+- -+---+---+- -+- -+-+-', 10
db '       -C  -C  -E  -G  E     a ', 10
db '       -C  -C  -E  -G        a ', 10
db '       -C  -C  -E  -G        a ', 10
db '       -C  -C  -E  -G        a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '                               ', 10
db '       -C                  a   ', 10
db '                               ', 10
db '       -C                  a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -F  -F  -A  -C        a ', 10
db '       -F  -F  -A  -C        a ', 10
db '       -F  -F  -A  -C        a ', 10
db '                       C       ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '                       D       ', 10
db '                       C       ', 10
db '                       D       ', 10
db '                               ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -C  -C  -E  -G  E     a ', 10
db '       -C  -C  -E  -G        a ', 10
db '       -C  -C  -E  -G        a ', 10
db '       -C  -C  -E  -G        a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '                               ', 10
db '       -C                  a   ', 10
db '                               ', 10
db '       -C                  a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -F  -F  -A  -C  F     a ', 10
db '       -F  -F  -A  -C  E     a ', 10
db '       -F  -F  -A  -C  D     a ', 10
db '                       F   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G  -g  -B  -D  E     a ', 10
db '       -G  -g  -B  -D  C     a ', 10
db '       -G  -g  -B  -D  B     a ', 10
db '                       C   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db ':L 5  -+- -+---+---+- -+- -+-+-', 10
db '       a               A   a   ', 10
db '       a                   a   ', 10
db '           -A  -C  -E        a ', 10
db '       a                   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '       -G              e   a   ', 10
db '           -g  -B  -D  A     a ', 10
db '       -G              C   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -F              F   a   ', 10
db '       -F                  a   ', 10
db '           -f  -A  -C        a ', 10
db '       -F              D   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '           -g  -B  -D        a ', 10
db '       -G              F   a   ', 10
db '           -g  -B  -D        a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db ':L 6  -+- -+---+---+- -+- -+-+-', 10
db '       a               E   a   ', 10
db '       a                   a   ', 10
db '           -A  -C  -E        a ', 10
db '       a               A   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '       -G                  a   ', 10
db '           -g  -B  -D        a ', 10
db '       -G                  a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -F                  a   ', 10
db '       -F                  a   ', 10
db '           -f  -A  -C        a ', 10
db '       -F                  a a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       -G                  a   ', 10
db '       -E                  a a ', 10
db '       -G              g   a   ', 10
db '       -E                  a a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db ':Coda -+- -+---+---+- -+- -+-+-', 10
db '       a               A   a   ', 10
db '       a                       ', 10
db '       c                       ', 10
db '       a                       ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '                               ', 10
db '           -g  -B  -D  B     a ', 10
db '           -A  -C  -E  C     a ', 10
db '                               ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       a                   a   ', 10
db '       a                       ', 10
db '       c                       ', 10
db '       a                       ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '                               ', 10
db '           -g  -B  -D  D     a ', 10
db '           -A  -C  -E  E     a ', 10
db '                               ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       a                   a   ', 10
db '       a                       ', 10
db '       c                       ', 10
db '       a                       ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '                               ', 10
db '           -g  -B  -D  B   a   ', 10
db '           -A  -C  -E  C     a ', 10
db '                       B   a   ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '       c               C   a   ', 10
db '       a               C   a a ', 10
db '       b               B   a a ', 10
db '       a               A   a a ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db '                               ', 10
db '                               ', 10
db '                               ', 10
db '                               ', 10
db ':     -+- -+---+---+- -+- -+-+-', 10
db 0

_MusicData ENDS

